module.exports = (config = {}) => ({
  build(props) {
    const objs = [];
    if (typeof props === 'string') {
      props = [props];
    }
    for (let i = 0; i < props.length; i++) {
      const obj = {};
      const prop = props[i];
      obj.name = prop;
      switch (prop) {
        case 'target':
          obj.type = 'select';
          break;
      }
      switch (prop) {
        case 'title':
        case 'alt':
        case 'id':
          obj.placeholder = config.labelPlhText;
          break;
        case 'href':
          obj.placeholder = config.labelPlhHref;
          break;
      }
      switch (prop) {
        case 'target':
          obj.options = config.optionsTarget;
          break;
      }
      objs.push(obj);
    }
    return objs;
  }
});
