import _ from 'underscore';

const InsertCustom = require('./InsertCustom');

module.exports = _.extend({}, InsertCustom, {
  beforeInsert(object) {
    object.type = 'image';
    object.style = {};
    object.attributes = {};
    object.attributes.onmousedown = 'return false';
    if (
      this.config.firstCentered &&
      this.getCanvasWrapper() == this.sorter.target
    ) {
      object.style.margin = '0 auto';
    }
  },
  afterInsert(model) {
    model.trigger('dblclick');
    if (this.sender) this.sender.set('active', false);
  }
});
