import Backbone from 'backbone';

module.exports = Backbone.Model.extend({
  idAttribute: 'name',
  defaults: {
    name: '',
    width: '',
    height: '',
    widthMedia: null,
    priority: null
  },
  initialize() {
    if (this.get('widthMedia') == null) {
      this.set('widthMedia', this.get('width'));
    }
    if (!this.get('priority')) {
      this.set('priority', parseFloat(this.get('widthMedia')) || 0);
    }
  }
});
